libetonyek::KEYContentCollector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEYContentCollector Class Reference

`#include <KEYContentCollector.h>`

Inheritance diagram for libetonyek::KEYContentCollector:

## Public Member Functions
| KEYContentCollector (librevenge::RVNGPresentationInterface *painter, KEYDictionary &dict, const KEYLayerMap_t &masterPages, const KEYSize &size, const KEYDefaults &defaults)
virtual | ~KEYContentCollector ()
virtual void | collectPresentation (const boost::optional< KEYSize > &size)
virtual void | collectLayer (const boost::optional< ID_t > &id, bool ref)
virtual void | collectPage (const boost::optional< ID_t > &id)
virtual void | startSlides ()
virtual void | endSlides ()
virtual void | startThemes ()
virtual void | endThemes ()
virtual void | startPage ()
virtual void | endPage ()
virtual void | startLayer ()
virtual void | endLayer ()
Public Member Functions inherited from libetonyek::KEYCollectorBase
| KEYCollectorBase (KEYDictionary &dict, const KEYDefaults &defaults)
| ~KEYCollectorBase ()
virtual void | collectCellStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectCharacterStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectConnectionStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectGraphicStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectLayoutStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectListStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectParagraphStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectPlaceholderStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectSlideStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectTabularStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectVectorStyle (const boost::optional< ID_t > &id, const boost::optional< KEYPropertyMap > &props, const boost::optional< std::string > &ident, const boost::optional< std::string > &parentIdent, bool ref, bool anonymous)
virtual void | collectGeometry (boost::optional< ID_t > &id, boost::optional< KEYSize > &naturalSize, boost::optional< KEYSize > &size, boost::optional< KEYPosition > &position, boost::optional< double > &angle, boost::optional< double > &shearXAngle, boost::optional< double > &shearYAngle, boost::optional< bool > &horizontalFlip, boost::optional< bool > &verticalFlip, boost::optional< bool > &aspectRatioLocked, boost::optional< bool > &sizesLocked)
virtual void | collectBezier (const boost::optional< ID_t > &id, const KEYPathPtr_t &path, bool ref)
virtual void | collectGroup (const boost::optional< ID_t > &id, const KEYGroupPtr_t &group)
virtual void | collectImage (const boost::optional< ID_t > &id, const KEYImagePtr_t &image)
virtual void | collectLine (const boost::optional< ID_t > &id, const KEYLinePtr_t &line)
virtual void | collectShape (const boost::optional< ID_t > &id)
virtual void | collectBezierPath (const boost::optional< ID_t > &id)
virtual void | collectPolygonPath (const boost::optional< ID_t > &id, const KEYSize &size, unsigned edges)
virtual void | collectRoundedRectanglePath (const boost::optional< ID_t > &id, const KEYSize &size, double radius)
virtual void | collectArrowPath (const boost::optional< ID_t > &id, const KEYSize &size, double headWidth, double stemRelYPos, bool doubleSided)
virtual void | collectStarPath (const boost::optional< ID_t > &id, const KEYSize &size, unsigned points, double innerRadius)
virtual void | collectConnectionPath (const boost::optional< ID_t > &id, const KEYSize &size, double middleX, double middleY)
virtual void | collectCalloutPath (const boost::optional< ID_t > &id, const KEYSize &size, double radius, double tailSize, double tailX, double tailY, bool quoteBubble)
virtual void | collectData (const boost::optional< ID_t > &id, const RVNGInputStreamPtr_t &stream, const boost::optional< std::string > &displayName, const boost::optional< unsigned > &type, bool ref)
virtual void | collectUnfiltered (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size, bool ref)
virtual void | collectFiltered (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size)
virtual void | collectLeveled (const boost::optional< ID_t > &id, const boost::optional< KEYSize > &size)
virtual void | collectFilteredImage (const boost::optional< ID_t > &id, bool ref)
virtual void | collectMovieMedia (const boost::optional< ID_t > &id)
virtual void | collectMedia (const boost::optional< ID_t > &id)
virtual void | collectStylesheet (const boost::optional< ID_t > &id, const boost::optional< ID_t > &parent)
virtual void | collectText (const boost::optional< ID_t > &style, const std::string &text)
virtual void | collectTab ()
virtual void | collectLineBreak ()
virtual void | collectTextPlaceholder (const boost::optional< ID_t > &id, bool title, bool ref)
virtual void | collectTableSizes (const KEYTable::RowSizes_t &rowSizes, const KEYTable::ColumnSizes_t &columnSizes)
virtual void | collectTableCell (unsigned row, unsigned column, const boost::optional< std::string > &content, unsigned rowSpan, unsigned columnSpan)
virtual void | collectCoveredTableCell (unsigned row, unsigned column)
virtual void | collectTableRow ()
virtual void | collectTable ()
virtual void | collectNote ()
virtual void | collectStickyNote ()
virtual void | startGroup ()
virtual void | endGroup ()
virtual void | startParagraph (const boost::optional< ID_t > &style)
virtual void | endParagraph ()
virtual void | startText (bool object)
| Start of a block that can contain text. More...
virtual void | endText ()
| End of a text block. More...
virtual void | startLevel ()
virtual void | endLevel ()
Public Member Functions inherited from libetonyek::KEYCollector
virtual | ~KEYCollector ()=0

## Private Member Functions
| KEYContentCollector (const KEYContentCollector &other)
KEYContentCollector & | operator= (const KEYContentCollector &other)
void | resolveStyle (KEYStyle &style)
void | drawLayer (const KEYLayerPtr_t &layer)
void | drawNotes (const KEYObjectList_t &notes)
void | drawStickyNotes (const KEYStickyNotes_t &stickyNotes)

## Private Attributes
librevenge::RVNGPresentationInterface * | m_painter
const KEYLayerMap_t & | m_masterPages
const KEYSize | m_size
bool | m_pageOpened
bool | m_layerOpened
int | m_layerCount

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::KEYCollectorBase
bool | isCollecting () const
void | setCollecting (bool collecting)
const KEYDefaults & | getDefaults () const
const KEYLayerPtr_t & | getLayer () const
const KEYObjectList_t & | getNotes () const
const KEYStickyNotes_t & | getStickyNotes () const

## Constructor & Destructor Documentation

libetonyek::KEYContentCollector::KEYContentCollector | ( | const KEYContentCollector & | other | ) |
| private

libetonyek::KEYContentCollector::KEYContentCollector | ( | librevenge::RVNGPresentationInterface * | painter,
|  | KEYDictionary & | dict,
|  | const KEYLayerMap_t & | masterPages,
|  | const KEYSize & | size,
|  | const KEYDefaults & | defaults
| ) |  |

libetonyek::KEYContentCollector::~KEYContentCollector | ( |  | ) |
| virtual

## Member Function Documentation

void libetonyek::KEYContentCollector::collectLayer | ( | const boost::optional< ID_t > & | id,
|  | bool | ref
| ) |  |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYContentCollector::collectPage | ( | const boost::optional< ID_t > & | id | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYContentCollector::collectPresentation | ( | const boost::optional< KEYSize > & | size | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYContentCollector::drawLayer | ( | const KEYLayerPtr_t & | layer | ) |
| private

Referenced by collectLayer().

void libetonyek::KEYContentCollector::drawNotes | ( | const KEYObjectList_t & | notes | ) |
| private

Referenced by collectPage().

void libetonyek::KEYContentCollector::drawStickyNotes | ( | const KEYStickyNotes_t & | stickyNotes | ) |
| private

Referenced by collectPage().

void libetonyek::KEYContentCollector::endLayer | ( |  | ) |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYContentCollector::endPage | ( |  | ) |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYContentCollector::endSlides | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYContentCollector::endThemes | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

KEYContentCollector& libetonyek::KEYContentCollector::operator= | ( | const KEYContentCollector & | other | ) |
| private

void libetonyek::KEYContentCollector::resolveStyle | ( | KEYStyle & | style | ) |
| private

void libetonyek::KEYContentCollector::startLayer | ( |  | ) |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYContentCollector::startPage | ( |  | ) |
| virtual

Reimplemented from libetonyek::KEYCollectorBase.

void libetonyek::KEYContentCollector::startSlides | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

void libetonyek::KEYContentCollector::startThemes | ( |  | ) |
| virtual

Implements libetonyek::KEYCollector.

## Member Data Documentation

int libetonyek::KEYContentCollector::m_layerCount
| private

Referenced by startLayer().

bool libetonyek::KEYContentCollector::m_layerOpened
| private

Referenced by collectLayer(), endLayer(), startLayer(), startPage(), and ~KEYContentCollector().

const KEYLayerMap_t& libetonyek::KEYContentCollector::m_masterPages
| private

Referenced by collectLayer().

bool libetonyek::KEYContentCollector::m_pageOpened
| private

Referenced by collectPage(), endLayer(), endPage(), startLayer(), startPage(), and ~KEYContentCollector().

librevenge::RVNGPresentationInterface* libetonyek::KEYContentCollector::m_painter
| private

Referenced by drawLayer(), drawNotes(), drawStickyNotes(), endLayer(), endPage(), KEYContentCollector(), startLayer(), startPage(), and ~KEYContentCollector().

const KEYSize libetonyek::KEYContentCollector::m_size
| private

Referenced by startPage().

The documentation for this class was generated from the following files:

- KEYContentCollector.h
- KEYContentCollector.cpp